package com.gic.haoban.manage.service.service.impl;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.common.utils.StringUtil;
import com.gic.haoban.manage.api.dto.WxEnterpriseDTO;
import com.gic.haoban.manage.service.dao.mapper.WxEnterpriseMapper;
import com.gic.haoban.manage.service.entity.TabHaobanWxEnterprise;
import com.gic.haoban.manage.service.service.WxEnterpriseService;

@Service
public class WxEnterpriseServiceImpl implements WxEnterpriseService {
	@Autowired
	WxEnterpriseMapper mapper;

	@Override
	public String add(WxEnterpriseDTO wxDTO) {
		Date now = new Date();
		wxDTO.setWxEnterpriseId(StringUtil.randomUUID());
		wxDTO.setCreateTime(now);
		wxDTO.setUpdateTime(now);
		mapper.insertSelective(EntityUtil.changeEntityByJSON(TabHaobanWxEnterprise.class, wxDTO));
		return wxDTO.getWxEnterpriseId();
		
	}

}
