package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.service.entity.TabHaobanStaffDepartmentRelated;

public interface StaffDepartmentRelatedMapper {
    int deleteByPrimaryKey(String staffDepartmentRelatedId);

    int insert(TabHaobanStaffDepartmentRelated record);

    int insertSelective(TabHaobanStaffDepartmentRelated record);

    TabHaobanStaffDepartmentRelated selectByPrimaryKey(String staffDepartmentRelatedId);

    int updateByPrimaryKeySelective(TabHaobanStaffDepartmentRelated record);

    int updateByPrimaryKey(TabHaobanStaffDepartmentRelated record);

	List<TabHaobanStaffDepartmentRelated> listByDepartmentId(String departmentId);
	
	TabHaobanStaffDepartmentRelated getOneByClerkCode(String clerkCode);
	
	void deleteCode(TabHaobanStaffDepartmentRelated dto);

	List<TabHaobanStaffDepartmentRelated> listStaffDepartmentByStaffId(String staffId);
	
	Page<TabHaobanStaffDepartmentRelated> pageStaff(String departmentId, Integer activeFlag, String keyword);

    TabHaobanStaffDepartmentRelated getById(String staffDepartmentRelatedId);

}